Create Order Fulfillment (Amazon v2)

Fulfillment update for an Order

This endpoint allows you to update the the fulfillment details for a specific order identified by orderId. It posts information about the package, tracking details, items included in the fulfillment, and the location associated with the fulfillment.

Purpose

The purpose of this request is to provide the necessary details for fulfilling an order, including the package information, tracking number, shipping company, and items being shipped.

Request Parameters

  • orderId (path parameter): The unique identifier of the order for which fulfillment details are being processed.

Package ID Handling

When creating or updating a fulfillment, it is now possible to include a package.id.

Requirements

  • The package.id must be stored in order to perform a future Update Fulfillment request.

  • For the update to succeed, the orderId, package.id, orderItem, and quantity must be consistent with the initial POST request.

Important Notes

  • The package.id sent when creating a fulfillment is retrievable later via the GET /orders/{orderId}/fulfillments endpoint. The response includes a packages.id field that matches the reference used when the shipment was created.

Rate Limit

Rate (requests per second)Burst
210

Expected Input Structure

The request body should be structured as follows:

{
    "fulfillment": {
        "package": {
            "id": "string" // Required. Use this package identifier to update
        },
        "tracking": {
            "number": "string", // Required. The tracking number for the shipment
            "companyId": "string" //Required.  The identifier codee for the shipping company
        },
        "items": [
            {
                "id": "string", //  Required. The unique identifier for the item being fulfilled
                "quantity": "integer" // Required. The quantity of the item being fulfilled
            }
        ]
    }
}

Valid companyId values for Amazon carriers

Refer to the extensive list of valid companyId values provided in the documentation to ensure that the correct shipping company identifier is used.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the order.

Body Params
fulfillment
object
Response
200

Successful response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!